| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.MozEmbed

Contents

Types
Constructors
Methods
Signals

Description
This widgets embeds Mozilla's browser engine (Gecko) into a Gtk+ widget. See http://www.mozilla.org/unix/gtk-embedding.html for a more detailed API reference.
Synopsis

data MozEmbed
mozEmbedNew :: IO MozEmbed
mozEmbedSetCompPath :: String -> IO ()
mozEmbedDefaultCompPath :: String
mozEmbedSetProfilePath :: FilePath -> String -> IO ()
mozEmbedPushStartup :: IO ()
mozEmbedPopStartup :: IO ()
mozEmbedLoadUrl :: MozEmbed -> String -> IO ()
mozEmbedStopLoad :: MozEmbed -> IO ()
mozEmbedRenderData :: MozEmbed -> String -> String -> String -> IO ()
mozEmbedOpenStream :: MozEmbed -> String -> String -> IO ()
mozEmbedAppendData :: MozEmbed -> String -> IO ()
mozEmbedCloseStream :: MozEmbed -> IO ()
mozEmbedGoBack :: MozEmbed -> IO ()
mozEmbedGoForward :: MozEmbed -> IO ()
mozEmbedCanGoBack :: MozEmbed -> IO Bool
mozEmbedCanGoForward :: MozEmbed -> IO Bool
mozEmbedGetTitle :: MozEmbed -> IO String
mozEmbedGetLocation :: MozEmbed -> IO String
mozEmbedGetLinkMessage :: MozEmbed -> IO String
mozEmbedGetJsStatus :: MozEmbed -> IO String
onOpenURI :: MozEmbed -> (String -> IO Bool) -> IO (ConnectId MozEmbed)
onKeyDown :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onKeyPress :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onKeyUp :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseDown :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseUp :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseClick :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseDoubleClick :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseOver :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseOut :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)

Types
data MozEmbed

Instances

GObjectClass MozEmbed
BinClass MozEmbed
ContainerClass MozEmbed
WidgetClass MozEmbed
ObjectClass MozEmbed
MozEmbedClass MozEmbed

Constructors
mozEmbedNew :: IO MozEmbed
Create a new MozEmbed. Note that the mozembed system must be initialised first using `mozEmbedSetCompPath`.
mozEmbedSetCompPath :: String -> IO ()

This function must be called before the first widget is created.

It allows you to set the path to the mozilla components, however unless you really know what you are doing, you should just use:

     mozEmbedSetCompPath mozEmbedDefaultCompPath

mozEmbedDefaultCompPath :: String
The directory containing the mozilla embedding libraries. Its actual value will depend on whether these bindings were built against the mozilla or firefox libraries and where these are installed in the build platform.
mozEmbedSetProfilePath

:: FilePath | profile directory
-> String | profile name
-> IO () |

mozEmbedPushStartup :: IO ()
Sadly undocumented
mozEmbedPopStartup :: IO ()
Sadly undocumented
Methods
mozEmbedLoadUrl :: MozEmbed -> String -> IO ()
This function starts loading a url in the embedding widget. All loads are asynchronous. The url argument should be in the form of `"http://www.haskell.org"`.
mozEmbedStopLoad :: MozEmbed -> IO ()
This function will allow you to stop the load of a document that is being loaded in the widget.
mozEmbedRenderData

:: MozEmbed |
-> String | content
-> String | base URI
-> String | mime type
-> IO () |
This function will allow you to take a chunk of random data and render it into the document. You need to pass in the data and the length of the data. The base URI is used to resolve internal references in the document and the mime type is used to determine how to render the document internally.

mozEmbedOpenStream

:: MozEmbed |
-> String | base URL
-> String | mime type
-> IO () |
This function is used to start loading a document from an external source into the embedding widget. You need to pass in the base URI for resolving internal links and and the mime type of the document.

mozEmbedAppendData :: MozEmbed -> String -> IO ()
This function allows you to append data to an already opened stream in the widget. You need to pass in the data that you want to append to the document and its length.
mozEmbedCloseStream :: MozEmbed -> IO ()
This function closes the stream that you have been using to append data manually to the embedding widget.
mozEmbedGoBack :: MozEmbed -> IO ()
This function will go backwards one step in the document's navigation history.
mozEmbedGoForward :: MozEmbed -> IO ()
This function will go forward one step in the document's navigation history.
mozEmbedCanGoBack :: MozEmbed -> IO Bool
This function will return whether or not you can go backwards in the document's navigation history. It will return `True` if it can go backwards, `False` if it can't.
mozEmbedCanGoForward :: MozEmbed -> IO Bool
This function will return whether or not you can go forwards in the document's navigation history. It will return `True` if it can go forwards, `False` if it can't.
mozEmbedGetTitle :: MozEmbed -> IO String
This function will get the current title for a document.
mozEmbedGetLocation :: MozEmbed -> IO String
This function will return the current location of the document.
mozEmbedGetLinkMessage :: MozEmbed -> IO String
This function returns the current link message of the document if there is one.
mozEmbedGetJsStatus :: MozEmbed -> IO String
This function returns the "js_status" message if there is one.
Signals
onOpenURI :: MozEmbed -> (String -> IO Bool) -> IO (ConnectId MozEmbed)
onKeyDown :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onKeyPress :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onKeyUp :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseDown :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseUp :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseClick :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseDoubleClick :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseOver :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
onMouseOut :: MozEmbed -> (Ptr a -> IO Int) -> IO (ConnectId MozEmbed)
Produced by Haddock version 2.4.2